Subject: bug#52838: Guix Graphical Installation Crash

From: Joey Dunbar <[email-masked]>
Date: Mon, 27 Dec 2021 16:23:46 -0700

Hi,
I am installing Guix on a fresh system. Using the graphical installer, I
get all the way through to drive partitioning, where the installer crashes.

Switching to the terminal and running fdisk shows that the partitioning
succeed, creating 2 partitions, a boot (EFI System), and mass storage
(Linux filesystem/EXT4). There are no other partitions present on sda.

Attached are the back trace and partitioning scheme. I've set for both
partitions to be formatted, and I am using the most recent version of the
installer image.

It seems this error has popped up before on the installer, and was solved
by running  dd if=/dev/zero of=/dev/sda. However, in my case this does not
appear to solve the issue.

I'm pretty new to a lot of this, so please let me know what you think.
Thanks!